#
# spec file for package pythonOCC
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if %suse_version <= 1110
%define python_sitelib	%py_sitedir
%define python_sitearch	%py_sitedir
%endif

Summary:     3D CAD/PLM development library for the Python programming language
Name:        pythonOCC
Version:     0.4
Release:     0.pm.1.1
Source0:     %{name}-%version.tar.bz2
Patch0:	     pythonOCC-enviroment.patch
Patch1:	     pythonOCC-enviroment64.patch
License:     GPLv3
Group:       Development/Libraries/Python
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:         http://www.pythonocc.org/
BuildRequires: gcc gcc-c++ fdupes swig xorg-x11-devel boost-devel
BuildRequires: python-devel dos2unix OpenCASCADE-devel
BuildRequires: SalomeGeometry-devel >= 5.1.2.7
BuildRequires: SalomeSmesh-devel >= 5.1.2.2
%py_requires


%description
pythonOCC is a 3D CAD/PLM development library for the Python programming
language. It's built upon the OpenCASCADE 3D modeling kernel and the
SalomeGEOM package. Some high level packages (parametric modeling,
topology, data exchange, webservices etc.) extend the builtin features
of those libraries to enable a highly dynamic and modular programming of
your CAD apps thanks to the magic of python.

pythonOCC is available for both Windows, Linux and MacOSX platforms and
may be distributed under the terms of the GNU General Public License v3

Author
------
  Thomas Paviot <tpaviot@gmail.com>

%debug_package
%prep
%setup -q
%ifarch x86_64
%patch1 -p1
%else
%patch0 -p1
%endif

for i in $(find -name "*.py") ; do
dos2unix $i
done


%build
cd src
%{__python} setup.py \
	--with-occ-include=/opt/OpenCASCADE/inc/ \
	--with-occ-lib=/opt/OpenCASCADE/%_lib/ \
	--enable-geom \
	--enable-smesh \
	--with-boost-include=/usr/include/ \
	build


%install
cd src
%{__python} setup.py \
	--with-occ-include=/opt/OpenCASCADE/inc/ \
	--with-occ-lib=/opt/OpenCASCADE/%_lib/ \
	--enable-geom \
	--enable-smesh \
        --with-boost-include=/usr/include/ \
	install \
	--root=$RPM_BUILD_ROOT \
	--prefix=%{_prefix}

%__rm %buildroot/%{python_sitearch}/OCC/AUTHORS %buildroot/%{python_sitearch}/OCC/LICENSE

%fdupes -s %buildroot

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG README
%dir %{python_sitearch}/OCC
%dir %{python_sitearch}/OCC/Display
%dir %{python_sitearch}/OCC/KBE
%dir %{python_sitearch}/OCC/PAF
%dir %{python_sitearch}/OCC/Toolkits
%dir %{python_sitearch}/OCC/Toolkits/FoundationClasses
%dir %{python_sitearch}/OCC/Toolkits/ModelingData
%dir %{python_sitearch}/OCC/Utils
%dir %{python_sitearch}/OCC/Utils/DataExchange
%{python_sitearch}/OCC/*.so
%{python_sitearch}/OCC/*.py
%{python_sitearch}/OCC/*.pyc
%{python_sitearch}/OCC/Display/*
%{python_sitearch}/OCC/KBE/*
%{python_sitearch}/OCC/PAF/*
%{python_sitearch}/OCC/Toolkits/*.py*
%{python_sitearch}/OCC/Toolkits/FoundationClasses/*
%{python_sitearch}/OCC/Toolkits/ModelingData/*
%{python_sitearch}/OCC/Utils/*.py*
%{python_sitearch}/OCC/Utils/DataExchange/*
%{python_sitearch}/%name-0.4-py%{py_ver}.egg-info

%changelog
* Sat Jan  9 2010 andrea@links2linux.de
- new upstream version 0.4 stable
* Mon Dec  7 2009 andrea@links2linux.de
- added smesh and geometry support
* Fri Dec  4 2009 andrea@links2linux.de
- New package
